{% if paginator %}

{% comment %} {% for key, value in request.GET.items %}
  {% if key != 'page' %}
  &{{ key }}={{ value }}
  {% endif %}
{% endfor %} {% endcomment %}

<div
  data-aos="fade-up"
  data-aos-duration="1000"
  data-aos-anchor-placement="top-bottom"
  class="bg-gradient-to-br from-main/95 to-main-dark flex xs:justify-end items-center gap-4 text-white my-8 px-2 xs:px-5 py-2 rounded-md shadow-lg text-sm whitespace-nowrap overflow-x-auto"
>
  <div class="flex gap-2">
    {% if paginator.has_previous %}
    <a
      href="?page=1{{query_params}}"
      title="First page"
      class="flex justify-center items-center w-8 h-8 bg-white text-main-darken rounded shadow-lg transition-all hover:bg-main-dark hover:text-white tracking-tighter"
    >
      <i class="fa-solid fa-chevron-left"></i>
      <i class="fa-solid fa-chevron-left"></i>
    </a>
    <a
      href="?page={{paginator.previous_page_number}}{{query_params}}"
      title="Page {{paginator.previous_page_number}}"
      class="flex justify-center items-center w-8 h-8 bg-white text-main-darken rounded shadow-lg transition-all hover:bg-main-dark hover:text-white"
    >
      <i class="fa-solid fa-chevron-left"></i>
    </a>
    {% else %}
    <sapn
      class="flex justify-center items-center w-8 h-8 bg-white opacity-40 text-main-darken rounded shadow-lg"
    >
      <i class="fa-solid fa-chevron-left"></i>
      <i class="fa-solid fa-chevron-left"></i>
    </sapn>
    <span
      class="flex justify-center items-center w-8 h-8 bg-white opacity-40 text-main-darken rounded shadow-lg"
    >
      <i class="fa-solid fa-chevron-left"></i>
    </span>
    {% endif %}
  </div>
  <p class="font-bold">
    {% if LANG == "en" %}
    <span>
      Page {{paginator.number}} of {{paginator.paginator.num_pages}}
    </span>
    {% elif LANG == "ru" %}
    <span>
      Страница {{paginator.number}} из {{paginator.paginator.num_pages}}
    </span>
    {% elif LANG == "uz" %}
    <span>
      {{paginator.paginator.num_pages}} dan {{paginator.number}}-sahifa
    </span>
    {% endif %}
  </p>
  <div class="flex gap-2">
    {% if paginator.has_next %}
    <a
      href="?page={{paginator.next_page_number}}{{query_params}}"
      title="Page {{paginator.next_page_number}}"
      class="flex justify-center items-center w-8 h-8 bg-white text-main-darken rounded shadow-lg transition-all hover:bg-main-dark hover:text-white"
    >
      <i class="fa-solid fa-chevron-right"></i>
    </a>
    <a
      href="?page={{paginator.paginator.num_pages}}{{query_params}}"
      title="Last page"
      class="flex justify-center items-center w-8 h-8 bg-white text-main-darken rounded shadow-lg transition-all hover:bg-main-dark hover:text-white"
    >
      <i class="fa-solid fa-chevron-right"></i>
      <i class="fa-solid fa-chevron-right"></i>
    </a>
    {% else %}
    <sapn
      class="flex justify-center items-center w-8 h-8 bg-white opacity-40 text-main-darken rounded shadow-lg"
    >
      <i class="fa-solid fa-chevron-right"></i>
    </sapn>
    <span
      class="flex justify-center items-center w-8 h-8 bg-white opacity-40 text-main-darken rounded shadow-lg"
    >
      <i class="fa-solid fa-chevron-right"></i>
      <i class="fa-solid fa-chevron-right"></i>
    </span>
    {% endif %}
  </div>
</div>
{% endif %}
